LifeLength = 20;  (* Number of periods backwards from the end to solve *)

(* List of functions that take savings as their argument *)

NamePosInFunctionList     = 1;
ArgListPosInFunctionList  = 2;

sFunctions  =  {
                 {"OmegaInvt"      ,{"s"}}
                ,{"OmegaInvPrimet" ,{"s"}}                
               };
               
xFunctions  =  {
                {"ct"           ,{"x"}}
               };

VtToVInvtMultiply = OmegatToOmegaInvtMultiply = (1-rho);
VtToVInvtPower    = OmegatToOmegaInvtPower    = (1/(1-rho));

VPrimetToVInvPrimetMultiply = OmegaPrimetToOmegaInvPrimetMultiply = 1;
VPrimetToVInvPrimetPower    = OmegaPrimetToOmegaInvPrimetPower    = -1/rho;

FunctionList  = Join[sFunctions,xFunctions];
FunctionNames = Transpose[FunctionList][[NamePosInFunctionList]];

MakeArgArrays[FunctionList];
MakeNewVarByAppendingStringToName[FunctionNames,"InterpData"];
MakeNewVarByAppendingStringToName[FunctionNames,"InterpFunc"];
MakeListFunctions[FunctionList];

