
rho = 2;                (* Coefficient of Relative Risk Aversion *)
beta = 1  ;             (* Discount factor                       *)
NumOfyShockPoints = 7.; (* Number of points in the discrete approximation to lognormal dist *)
sigma = 1.;             (* Standard deviation of lognormal distribution *)
R = 1.0;                (* Gross interest rate *)


u[c_]      := (c^(1-rho))/(1-rho); (* CRRA utility function          *)
uprime[c_] := c^-rho;              (* CRRA marginal utility function *)

xMin = 0;               (* Minimum point in xGrid *)
xMax = 5.;             (* Maximum point in xGrid *)
NumOfxSteps = 6;       (* Number of points in xGrid *)

sMin = 0;               (* Minimum point in sGrid *)
sMax = 5.;             (* Maximum point in sGrid *)
NumOfsSteps = 6;       (* Number of points in sGrid *)


