
lambda = .5;  (* Rate at which habits catch up to consumption        *)
gamma  = .5;  (* Exponent on the habit stock in the utility function *)


LifeLength = 20;  (* Number of periods backwards from the end to solve *)

(* List of functions that take savings as their argument *)

NamePosInFunctionList     = 1;
ArgListPosInFunctionList  = 2;

sFunctions  =  {
                 {"OmegaInvt"      ,{"s","h"}}
                ,{"OmegasInvt"     ,{"s","h"}}
                ,{"OmegahInvt"     ,{"s","h"}}                
               };
               
xFunctions  =  {
                 {"VInvt"        ,{"x","h"}}
                ,{"VxInvt"       ,{"x","h"}}
                ,{"VhInvt"       ,{"x","h"}}                
                ,{"ct"           ,{"x","h"}}
               };

VtToVInvtMultiply = OmegatToOmegaInvtMultiply = (1-rho);
VtToVInvtPower    = OmegatToOmegaInvtPower    = (1/(1-rho));

VxtToVxInvtMultiply = OmegastToOmegasInvtMultiply = 1;
VxtToVxInvtPower    = OmegastToOmegasInvtPower    = -1/rho;

VhtToVhInvtMultiply = OmegahtToOmegahInvtMultiply = -1/gamma;
VhtToVhInvtPower    = OmegahtToOmegahInvtPower    = (1/(1-rho));

FunctionList  = Join[sFunctions,xFunctions];
FunctionNames = Transpose[FunctionList][[NamePosInFunctionList]];

MakeArgArrays[FunctionList];
MakeNewVarByAppendingStringToName[FunctionNames,"InterpData"];
MakeNewVarByAppendingStringToName[FunctionNames,"InterpFunc"];
MakeListFunctions[FunctionList];

